//This program is licensed under the GPLv3; see license.txt for more info.
//Copyright 2007 Sprite_tm

#include "io.h"
#include "avr/interrupt.h"
#include "util/delay.h"
#include "run.h"
#include "setup.h"

//Not much to do here.
int main() {
    char x;
    //Wait till the fan has at least partially started up (one second)
    for (x=0; x<100; x++) _delay_ms(10);
    //Init IO
    initio();
    //Get offsets from EEPROM, or go to init-mode
    init_offsets();
    //Rest is interrupt-based.
    sei();
    while (1);
}